IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Python Discussion :

RAG et installation du package sentence-transformers


Sujet :

Python

  1. #1
    Nouveau Candidat au Club
    Homme Profil pro
    Inscrit en
    Janvier 2013
    Messages
    378
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations forums :
    Inscription : Janvier 2013
    Messages : 378
    Points : 0
    Points
    0
    Par défaut RAG et installation du package sentence-transformers
    bonjour les amis j'essaye d'installer le package sentence-transformers mais j'ai une exception je ne sais pas si il ne manque pas un package
    merci d'avance
    ci joint les log
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    34
    35
    36
    37
    38
    39
    40
    41
    42
    43
    44
    45
    46
    47
    48
    49
    C:\Users\User>pip install -q sentence-transformers
    ERROR: Exception:
    Traceback (most recent call last):
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 438, in _error_catcher
        yield
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 561, in read
        data = self._fp_read(amt) if not fp_closed else b""
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 527, in _fp_read
        return self._fp.read(amt) if amt is not None else self._fp.read()
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\cachecontrol\filewrapper.py", line 98, in read
        data: bytes = self.__fp.read(amt)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\http\client.py", line 466, in read
        s = self.fp.read(amt)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\socket.py", line 705, in readinto
        return self._sock.recv_into(b)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1274, in recv_into
        return self.read(nbytes, buffer)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\ssl.py", line 1130, in read
        return self._sslobj.read(len, buffer)
    TimeoutError: The read operation timed out
     
    During handling of the above exception, another exception occurred:
     
    Traceback (most recent call last):
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\cli\base_command.py", line 180, in exc_logging_wrapper
        status = run_func(*args)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\cli\req_command.py", line 245, in wrapper
        return func(self, options, args)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\commands\install.py", line 377, in run
        requirement_set = resolver.resolve(
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\resolution\resolvelib\resolver.py", line 179, in resolve
        self.factory.preparer.prepare_linked_requirements_more(reqs)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\operations\prepare.py", line 552, in prepare_linked_requirements_more
        self._complete_partial_requirements(
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\operations\prepare.py", line 467, in _complete_partial_requirements
        for link, (filepath, _) in batch_download:
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\network\download.py", line 183, in __call__
        for chunk in chunks:
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_internal\network\utils.py", line 63, in response_chunks
        for chunk in response.raw.stream(
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 622, in stream
        data = self.read(amt=amt, decode_content=decode_content)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 560, in read
        with self._error_catcher():
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\contextlib.py", line 153, in __exit__
        self.gen.throw(typ, value, traceback)
      File "C:\Users\User\AppData\Local\Programs\Python\Python310\lib\site-packages\pip\_vendor\urllib3\response.py", line 443, in _error_catcher
        raise ReadTimeoutError(self._pool, None, "Read timed out.")
    pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.

  2. #2
    Responsable Qt & Livres


    Avatar de dourouc05
    Homme Profil pro
    Ingénieur de recherche
    Inscrit en
    Août 2008
    Messages
    26 603
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Val de Marne (Île de France)

    Informations professionnelles :
    Activité : Ingénieur de recherche
    Secteur : Enseignement

    Informations forums :
    Inscription : Août 2008
    Messages : 26 603
    Points : 188 680
    Points
    188 680
    Par défaut


    Ta connexion à Internet fonctionne-t-elle bien ? Rien ne bloque les connexions sortantes vers PyPI ? Voici l'erreur principale :

    Code x : Sélectionner tout - Visualiser dans une fenêtre à part
    pip._vendor.urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='files.pythonhosted.org', port=443): Read timed out.
    Vous souhaitez participer aux rubriques Qt (tutoriels, FAQ, traductions) ou HPC ? Contactez-moi par MP.

    Créer des applications graphiques en Python avec PyQt5
    Créer des applications avec Qt 5.

    Pas de question d'ordre technique par MP !

  3. #3
    Membre expérimenté
    Avatar de MPython Alaplancha
    Homme Profil pro
    Paysan à 3 francs six sous
    Inscrit en
    Juin 2018
    Messages
    854
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Pyrénées Orientales (Languedoc Roussillon)

    Informations professionnelles :
    Activité : Paysan à 3 francs six sous
    Secteur : Agroalimentaire - Agriculture

    Informations forums :
    Inscription : Juin 2018
    Messages : 854
    Points : 1 492
    Points
    1 492
    Billets dans le blog
    4
    Par défaut
    Bonjour,
    De façon générale, et surtout lorsque ton installation rencontre un souci, il est préférable de ne pas utiliser l'option -q avec pip install ... En cas d'erreur, vaut mieux que le retour de la commande soit bavarde.
    #Rien de nouveau sous le soleil, tout est vanité comme courir après le vent!
    Developpement pour Android avec Python3/Kivy/Buildozer

Discussions similaires

  1. [TOMCAT] Problème à l'installation du package admin.
    Par TheRussian dans le forum Tomcat et TomEE
    Réponses: 4
    Dernier message: 12/03/2008, 14h33
  2. djgpp et installation de packages
    Par le bourdiec dans le forum Autres éditeurs
    Réponses: 2
    Dernier message: 06/01/2006, 14h26
  3. Installer des packages tar.bz2 ...
    Par chrysmac2003 dans le forum Applications et environnements graphiques
    Réponses: 11
    Dernier message: 20/12/2005, 18h37
  4. [PEAR][HTML_QuickForm] Installation de packages Auth
    Par php_de_travers dans le forum Bibliothèques et frameworks
    Réponses: 1
    Dernier message: 08/11/2005, 09h41
  5. Installation du package "TurboPower async professional&
    Par onyouma dans le forum C++Builder
    Réponses: 1
    Dernier message: 26/08/2005, 20h48

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo